program anneau
!
  use mpi
!
  implicit none
  integer, dimension(MPI_STATUS_SIZE) :: statut
  integer, parameter                  :: etiquette=300
  integer                             :: nb_processus, rang, num_proc_precedent, num_proc_suivant, code
  integer                             :: val1, val2, val3
!
  call MPI_INIT (code)
  call MPI_COMM_SIZE (MPI_COMM_WORLD, nb_processus, code)
  call MPI_COMM_RANK (MPI_COMM_WORLD, rang, code)
!
  num_proc_precedent = mod(nb_processus+rang-1,nb_processus)
  num_proc_suivant   =mod (rang+1,nb_processus)
  val1 = 1000
  val3 = val1+rang
  if (rang == 0) then
     call MPI_SEND(............................)
     call MPI_RECV(............................)
  else
     call MPI_RECV(............................)
     call MPI_SEND(............................)
  end if
  print *,'Moi, processus ',rang,', j''ai recu la valeur ', val2,' du processus ', num_proc_precedent
!
  call MPI_FINALIZE(code)
!
end program anneau
