#include "mpi.h"
#include <stdio.h>
//
int main (int argc,char *argv[])
{
  int        nb_processus,rang,num_proc_precedent,num_proc_suivant ;
  int        val1, val2, val3 ;
  const int  etiquette=300 ;
  MPI_Status statut ;
//
  MPI_Init (&argc, &argv) ;
  MPI_Comm_rank (MPI_COMM_WORLD, &rang) ;
  MPI_Comm_size (MPI_COMM_WORLD, &nb_processus) ;

  num_proc_precedent = (nb_processus+rang-1) % nb_processus ;
  num_proc_suivant = (rang+1) % nb_processus ;
//
  val1 = 1000 ;
  val3 = val1+rang ;
//
  if (rang == 0)
     {
     MPI_Send (&val1, 1, MPI_INT, num_proc_suivant,   etiquette, MPI_COMM_WORLD         ) ;
     MPI_Recv (&val2, 1, MPI_INT, num_proc_precedent, etiquette, MPI_COMM_WORLD, &statut) ;
     }
  else
     {
     MPI_Recv (&val2, 1, MPI_INT, num_proc_precedent, etiquette, MPI_COMM_WORLD, &statut) ;
     MPI_Send (&val3, 1, MPI_INT, num_proc_suivant,   etiquette, MPI_COMM_WORLD         ) ;
     }
     printf ("Moi, processus %d, j'ai recu la valeur %d du processus %d\n", rang,val2,num_proc_precedent) ;
//
  MPI_Finalize() ;
}
