#include "mpi.h"
#include <stdio.h>
#include <stdlib.h>
//
int main (int argc,char *argv[])
{
  int        nb_processus, rang, num_proc_precedent, num_proc_suivant ;
  int        i, j, ng, nl1, nl2, nl, p, q ;
 ;
  const int  etiquette=300 ;
  MPI_Status statut ;
  double     **A ;
  double     traceloc, traceglob, alpha ;
//
  MPI_Init (&argc, &argv) ;
  MPI_Comm_rank (MPI_COMM_WORLD, &rang) ;
  MPI_Comm_size (MPI_COMM_WORLD, &nb_processus) ;

  num_proc_precedent = (nb_processus+rang-1) % nb_processus ;
  num_proc_suivant = (rang+1) % nb_processus ;
//
  if (rang == 0)
   {
   printf ("donner la taille de la matrice globale      ") ;
   scanf ("%d" , &ng) ;
   printf ("donner la valeur de alpha                   ") ;
   scanf ("%lf" , &alpha) ;
   printf ("Moi, processus %d, j""ai alpha egale a %lf\n", rang, alpha) ;
   }
//
  MPI_Bcast (&ng, 1, MPI_INTEGER, 0, MPI_COMM_WORLD) ;
  MPI_Bcast (&alpha, 1, MPI_DOUBLE, 0, MPI_COMM_WORLD) ;
//
  nl1 = ng/nb_processus ;
  nl2 = ng - (nl1*(nb_processus-1)) ;
  nl = nl1 ;
  if (rang==nb_processus-1) nl = nl2 ;
  p = nl1*rang ;
  q = nl+(nl1*rang)-1 ;
  A=(double **) malloc(nl*sizeof(double*)); 
//
 for (i = 0; i <=nl-1; i++)
   A[i]=(double *) malloc(nl*sizeof(double)); 
 for (i = 0; i <=nl-1; i++)
{ 
  for (j = 0; j <=nl-1; j++)
    { 
    A[i][j]=  alpha*rang ;
    } 
} 
//
 traceloc = 0.;
 for (i = 0; i <=nl-1; i++)
    traceloc = traceloc + A[i][i] ;
  printf ("Moi, processus %d, j""ai une sous-matrice de taille %d et une trace locale egale a %lf\n", rang, nl, traceloc) ;
  MPI_Reduce (&traceloc, &traceglob, 1, MPI_DOUBLE, MPI_SUM, 0, MPI_COMM_WORLD) ;
 if (rang == 0) printf ("Moi, processus %d, je recupere la trace globale de la matrice egale a %lf\n", rang, traceglob) ;
//
  free (A) ;
//
  MPI_Finalize() ;
}
