!=================
module mod_coefmat
!=================
!
contains
!
!=====================
subroutine coefmat (A)
!=====================
!
        use mod_data
!
        implicit none
!
        real(kind=8), dimension(:,:), intent(out) :: A
        real(kind=8)                              :: d
        integer                                   :: i, n
!
        n = size(A,2)
!
        d = 1./((dx**2)/dt+a2)
!
        do i = 1, n
         A(1,i) = a1*d
         A(2,i) = 1.
         A(3,i) = a3*d
        end do
!
!=====================
end subroutine coefmat
!=====================
!
!=====================
end module mod_coefmat
!=====================
