!================
module mod_imprim
!================
!
contains
!
!============================
subroutine imprim (u, uexact)
!============================
!
        use mod_data
        use mod_dataproc
!
        implicit none
!
        real(kind=8), dimension(:), intent(in) :: u, uexact
        integer                                :: i, k, m, n, num
        character (len=99)                     :: str, ch1, ch2
!
        n = size(u)
!
        ch1 = 'solution discrete'
        ch2 = 'solution exacte'
!       
        write (str(1:),1) 'SOL'
        k = len(trim(str(1:)))
        write (str(k+1:),2) moi
        m = len(trim(str(k+1:)))
        do i=1, m
         if (str(k+i:k+i)==' ') str(k+i:k+i)='0'
        end do
        write (str(k+m+1:),3) '.res'
!
        num = moi + 1000
        open (unit = num, file = trim(dirloc)//str, status = 'unknown')
        write(num,*) 'Solution locale du processus ',moi,''
        write(num,*)
        write(num,4) ch1, ch2
        do i = 1, n
         write (num,5) i+moi*nxl1, u(i), uexact(i)
        end do
        close (num)
!
   1    format(a3)
   2    format(i3)
   3    format(a4)
   4    format(2(17x, a17))
   5    format(i8,2d31.20)
!
!====================
end subroutine imprim
!====================
!
!====================
end module mod_imprim
!====================
